Bug 26562 - [aic7xxx] kernel crashes when loading aic7xxx module
[aic7xxx] kernel crashes when loading aic7xxx module
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
Florence RC-1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-07 17:45 EST by Steve Dum
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-09 06:16:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Dum 2001-02-07 17:45:59 EST
On a Kayak xu with 2 333 Mhz processors, AIC-7880, and Adaptec Array 1000CA
right after loading the aic7xxx module the kernel gets a oops 0000.  Lat
message is
Kernel panic ahc_pci:0:8:0 missing case in ahc_handle_scsiint
status 8

Redhat 7.0 loads just fine on same machine.
Comment 1 Sammy 2001-02-07 21:11:56 EST
I have the same problem with aic7xxx....kernel PANIC etc.etc. Whatever that
new driver is does not work for me. Going back to the old driver works.

An additional note: I also built and used 2.4.0 with Alan Cox patches and
today built 2.4.1 with patch ac3 --- ac3 also patches/updates aic7xxx and
I had the same kernel PANIC....I took out all the aic7xxx patches from ac3
and the version that comes with 2.4.1 works just fine.
Comment 2 Glen Foster 2001-02-08 18:33:22 EST
We (Red Hat) should really try to resolve this before next release.
Comment 3 Doug Ledford 2001-02-09 06:16:36 EST
The aic7xxx driver has been reverted to a previous version so the 6.0.8BETA
driver that caused the initial oops won't be a problem.

The aic7xxx updated in 2.4.1-ac3 didn't work properly, but all reports are that
the on in 2.4.1-ac6 and later does indeed work for more people than before. 
That's the driver currently slated for release in Florence, and it doesn't yet
have any known bugs against it.  Our kernel build 2.4.1-0.1 or later will have
it in there.
Comment 4 Steve Dum 2001-02-26 12:18:40 EST
This failure has been resolved in the wolverine release

Note You need to log in before you can comment on or make changes to this bug.